/*
 * This file is generated by jOOQ.
 */
package be.lghs.accounting.model;


import be.lghs.accounting.model.tables.FlywaySchemaHistory;
import be.lghs.accounting.model.tables.Subscriptions;

import javax.annotation.processing.Generated;

import org.jooq.Index;
import org.jooq.OrderField;
import org.jooq.impl.DSL;
import org.jooq.impl.Internal;


/**
 * A class modelling indexes of tables in accounting.
 */
@Generated(
    value = {
        "https://www.jooq.org",
        "jOOQ version:3.14.9",
        "schema version:accounting_0010"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Indexes {

    // -------------------------------------------------------------------------
    // INDEX definitions
    // -------------------------------------------------------------------------

    public static final Index FLYWAY_SCHEMA_HISTORY_S_IDX = Internal.createIndex(DSL.name("flyway_schema_history_s_idx"), FlywaySchemaHistory.FLYWAY_SCHEMA_HISTORY, new OrderField[] { FlywaySchemaHistory.FLYWAY_SCHEMA_HISTORY.SUCCESS }, false);
    public static final Index SUBSCRIPTIONS_MOVEMENT_ID_UNIQUE = Internal.createIndex(DSL.name("subscriptions_movement_id_unique"), Subscriptions.SUBSCRIPTIONS, new OrderField[] { Subscriptions.SUBSCRIPTIONS.MOVEMENT_ID }, true);
}
